Bug 1695278 - expected hosts file to contain entries from HostAliases
Summary: expected hosts file to contain entries from HostAliases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.1.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 18:36 UTC by Devan Goodwin
Modified: 2019-06-04 10:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:00 UTC

Comment 1 Dan Mace 2019-04-02 19:10:27 UTC
Ravi, PTAL since this intersects with the /etc/hosts support in dns-operator.

Comment 2 Dan Mace 2019-04-09 15:20:47 UTC
Here's an example /etc/hosts from a node:


127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
172.30.23.104 image-registry.openshift-image-registry.svc image-registry.openshift-image-registry.svc.cluster.local # openshift-generated-node-resolver

The entry on line 3 is maintained by the `dns-node-resolver` container in `openshift-dns/dns-default` pods on nodes.

Comment 3 Dan Mace 2019-04-26 15:47:16 UTC
This test has been re-enabled for 22 days:

https://github.com/openshift/origin/commit/fb601b2c65e5a32b5144186392bf31472ca14efd

And the only 2 occurrences of the test failing over the last couple of days over 548 failures are due to test panics which appear to be collateral from a wider problem:

https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/22442/pull-ci-openshift-origin-master-e2e-aws/7860
https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/22661/pull-ci-openshift-origin-master-e2e-aws/7903

I'm going to call this flake solved for now. If new evidence appears, we can open a new bug.

Comment 4 Hongan Li 2019-04-29 06:05:32 UTC
I'm going to move this to verified, please reopen if it still exists in latest CI test.

Comment 6 errata-xmlrpc 2019-06-04 10:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.